"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _Checkbox = require("@patternfly/react-core/dist/dynamic/components/Checkbox");

var _multipleChoiceList = _interopRequireDefault(require("@data-driven-forms/common/multiple-choice-list"));

var _formGroup = _interopRequireDefault(require("../form-group/form-group"));

var _excluded = ["option"],
    _excluded2 = ["meta", "children"];

var FinalCheckbox = function FinalCheckbox(_ref) {
  var option = _ref.option,
      props = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, (0, _extends2["default"])({
    isChecked: props.checked
  }, props, {
    onChange: function onChange(e, _value) {
      return props.onChange(e);
    }
  }, option));
};

var Wrapper = function Wrapper(_ref2) {
  var meta = _ref2.meta,
      children = _ref2.children,
      rest = (0, _objectWithoutProperties2["default"])(_ref2, _excluded2);
  return /*#__PURE__*/_react["default"].createElement(_formGroup["default"], (0, _extends2["default"])({}, rest, {
    id: rest.name || rest.id,
    meta: meta
  }), children);
};

var MultipleChoiceList = function MultipleChoiceList(props) {
  return /*#__PURE__*/_react["default"].createElement(_multipleChoiceList["default"], (0, _extends2["default"])({}, props, {
    Wrapper: Wrapper,
    Checkbox: FinalCheckbox
  }));
};

var _default = MultipleChoiceList;
exports["default"] = _default;