import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["component", "label", "name", "variant", "TextContentProps"];
import React from 'react';
import { Content } from "@patternfly/react-core/dist/dynamic/components/Content";

var PlainText = function PlainText(_ref) {
  var component = _ref.component,
      label = _ref.label,
      name = _ref.name,
      _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? 'p' : _ref$variant,
      TextContentProps = _ref.TextContentProps,
      rest = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Content, TextContentProps, typeof label === 'string' ? label.split('\n').map(function (paragraph, index) {
    return /*#__PURE__*/React.createElement(Content, _extends({
      component: variant
    }, rest, {
      key: "".concat(name, "-").concat(index)
    }), paragraph);
  }) : label);
};

export default PlainText;