import React from 'react';

var EmptyOptions = function EmptyOptions(_ref) {
  var noOptionsMessage = _ref.noOptionsMessage,
      noResultsMessage = _ref.noResultsMessage,
      getInputProps = _ref.getInputProps,
      isSearchable = _ref.isSearchable,
      isFetching = _ref.isFetching;

  var _getInputProps = getInputProps(),
      value = _getInputProps.value;

  var message = isFetching ? noOptionsMessage() : isSearchable && value ? noResultsMessage : noOptionsMessage();
  return /*#__PURE__*/React.createElement("div", {
    className: "pf-v6-c-menu__item pf-m-disabled"
  }, message);
};

export default EmptyOptions;