"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _timesCircleIcon = _interopRequireDefault(require("@patternfly/react-icons/dist/dynamic/icons/times-circle-icon"));

require("./clear-indicator.css");

var ClearIndicator = function ClearIndicator(_ref) {
  var clearSelection = _ref.clearSelection;
  return /*#__PURE__*/_react["default"].createElement("button", {
    onClick: function onClick(event) {
      clearSelection();
      event.stopPropagation();
    },
    className: "pf-v6-c-button pf-v6-c-menu-toggle-clear pf-v6-u-p-0",
    type: "button",
    "aria-label": "Clear all"
  }, /*#__PURE__*/_react["default"].createElement(_timesCircleIcon["default"], null));
};

var _default = ClearIndicator;
exports["default"] = _default;