"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var EmptyOptions = function EmptyOptions(_ref) {
  var noOptionsMessage = _ref.noOptionsMessage,
      noResultsMessage = _ref.noResultsMessage,
      getInputProps = _ref.getInputProps,
      isSearchable = _ref.isSearchable,
      isFetching = _ref.isFetching;

  var _getInputProps = getInputProps(),
      value = _getInputProps.value;

  var message = isFetching ? noOptionsMessage() : isSearchable && value ? noResultsMessage : noOptionsMessage();
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "pf-v6-c-menu__item pf-m-disabled"
  }, message);
};

var _default = EmptyOptions;
exports["default"] = _default;