"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _checkIcon = _interopRequireDefault(require("@patternfly/react-icons/dist/dynamic/icons/check-icon"));

var _excluded = ["item", "isActive", "isSelected"];

var Option = function Option(_ref) {
  var item = _ref.item,
      isActive = _ref.isActive,
      isSelected = _ref.isSelected,
      props = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: "pf-v6-c-menu__list-item".concat(item.isDisabled || item.disabled ? ' pf-m-disabled' : '')
  }, /*#__PURE__*/_react["default"].createElement("button", (0, _extends2["default"])({}, props, {
    disabled: item.isDisabled || item.disabled,
    type: "button",
    className: "pf-v6-c-menu__item".concat(isSelected ? ' pf-m-selected' : '').concat(isActive ? ' pf-m-focus' : '')
  }), /*#__PURE__*/_react["default"].createElement("span", {
    className: "pf-v6-c-menu__item-main"
  }, item.label, isSelected && /*#__PURE__*/_react["default"].createElement("span", {
    className: "pf-v6-c-menu__item-icon"
  }, /*#__PURE__*/_react["default"].createElement(_checkIcon["default"], null)), item.description && /*#__PURE__*/_react["default"].createElement("div", {
    className: "pf-v6-c-menu__item-text"
  }, item.description))));
};

var _default = Option;
exports["default"] = _default;