"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _useFormApi = _interopRequireDefault(require("@data-driven-forms/react-form-renderer/use-form-api"));

var _Title = require("@patternfly/react-core/dist/dynamic/components/Title");

var _Grid = require("@patternfly/react-core/dist/dynamic/layouts/Grid");

var _Content = require("@patternfly/react-core/dist/dynamic/components/Content");

var _excluded = ["fields", "title", "description", "validate", "component"];

var SubForm = function SubForm(_ref) {
  var fields = _ref.fields,
      title = _ref.title,
      description = _ref.description,
      _validate = _ref.validate,
      component = _ref.component,
      rest = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  var formOptions = (0, _useFormApi["default"])();
  return /*#__PURE__*/_react["default"].createElement(_Grid.Grid, (0, _extends2["default"])({
    hasGutter: true
  }, rest), title && /*#__PURE__*/_react["default"].createElement(_Grid.GridItem, {
    sm: 12
  }, /*#__PURE__*/_react["default"].createElement(_Title.Title, {
    headingLevel: "h2",
    size: "xl"
  }, title)), description && /*#__PURE__*/_react["default"].createElement(_Grid.GridItem, {
    sm: 12
  }, /*#__PURE__*/_react["default"].createElement(_Content.Content, null, /*#__PURE__*/_react["default"].createElement(_Content.Content, {
    component: _Content.ContentVariants.small,
    style: {
      marginBottom: 0
    }
  }, description))), formOptions.renderForm(fields, formOptions));
};

var _default = SubForm;
exports["default"] = _default;