import React from 'react';
import TimesCircleIcon from "@patternfly/react-icons/dist/dynamic/icons/times-circle-icon";
import './clear-indicator.css';

var ClearIndicator = function ClearIndicator(_ref) {
  var clearSelection = _ref.clearSelection;
  return /*#__PURE__*/React.createElement("button", {
    onClick: function onClick(event) {
      clearSelection();
      event.stopPropagation();
    },
    className: "pf-v6-c-button pf-v6-c-menu-toggle-clear pf-v6-u-p-0",
    type: "button",
    "aria-label": "Clear all"
  }, /*#__PURE__*/React.createElement(TimesCircleIcon, null));
};

export default ClearIndicator;